#include<bits/stdc++.h>
using namespace std;
int main(){
    int N,K;
    cin>>N>>K;
    int j,minj,n;
    j=0;
    minj=0;
    n=0;
    for(int i=1;i<=N;i++){
        int a;
        cin>>a;
        if(a==-1)minj=minj+1;
        if(a==0)n=n+1;
        if(a==1)j=j+1;
    }

    int brzamena;
    brzamena=0;
    if(minj>=K)brzamena=brzamena+1;
    if(n>=K)brzamena=brzamena+1;
    if(j>=K)brzamena=brzamena+1;

    cout<<brzamena<<endl;
    if(minj>=K)cout<<-1<<" ";
    if(n>=K)cout<<0<<" ";
    if(j>=K)cout<<1<<" ";
return 0;
}